# DecodeAddr

<mark style="color:green;">`POST`</mark> /api/decode-addr

**Headers**

| Name          | Value              |
| ------------- | ------------------ |
| Content-Type  | `application/json` |
| Authorization | `Bearer <token>`   |

**Body**

| Name   | Type   | Description           |
| ------ | ------ | --------------------- |
| `addr` | string | The address to decode |

**Request**

```json
{
  "address": "taprt1qqqsqqspqqzzqa006g8mu6lwyyvzcex4ex25rqhn68lln7q4h7anvn3xpvdkksgnqcss9frv8vum00v28v3uveyg5j8snfqhzrx538pnpj5u33e7wtfp48mupqss9u4y9kpxl0du9che6gmq89hvgl5vy60wlu4pdnkz2t3sdpmcs7vrpgqkgrp0dpshx6rdv95kcw309akkz6tvvfhhstn5v4ex66twv9kzumrfva58gmnfdenjuar0v3shjw35xsespk6w0d"
}
```

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
    "code": 0,
    "data": {
        "encoded": "taprt1qqqsqqspqqzzqa006g8mu6lwyyvzcex4ex25rqhn68lln7q4h7anvn3xpvdkksgnqcss9frv8vum00v28v3uveyg5j8snfqhzrx538pnpj5u33e7wtfp48mupqss9u4y9kpxl0du9che6gmq89hvgl5vy60wlu4pdnkz2t3sdpmcs7vrpgqkgrp0dpshx6rdv95kcw309akkz6tvvfhhstn5v4ex66twv9kzumrfva58gmnfdenjuar0v3shjw35xsespk6w0d",
        "asset_id": "de/SD75r7iEYLGTVyZVBgvPR//n4Fb+7Nk4mCxtrQRM=",
        "amount": 100,
        "script_key": "AqRsOzm3vYo7I8ZkiKSPCaQXEM1InDMMqcjHPnLSGp98",
        "internal_key": "AvKkLYJvvbwuL50jYDluxH6MJp7v8qFs7CUuMGh3iHmD",
        "taproot_output_key": "TyDMvV/OqBVV+VSdS6XB8PYNgCihmAYO8lQX9MrLR/4=",
        "proof_courier_addr": "hashmail://mailbox.terminal.lightning.today:443"
    },
    "message": "",
    "traceid": "6cd94418-2871-464d-b4de-5e3d14195f07"
}
```

{% endtab %}

{% tab title="400" %}

```json
{
  "error": "Invalid request"
}
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
Some of the response fields are encoded as base64 since the type of fields is \[]byte, which should be decoded to hex string before usage.
{% endhint %}

{% hint style="info" %}
If a field is empty it will not show in the response message, e.g. the 'group\_key' in the above.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://doc.bittap.org/developer-guides/api-reference/decodeaddr.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
